Skip to main content
GET
/
v1
/
recipients
/
{recipient_id}
/
events
// GET https://api.signatureapi.com/v1/recipients/re_00ZeZjRaXCgT30n1eBx53N/events
// X-API-Key: key_test_...
// HTTP Status Code 200

{
  "links": {
    "next": "https://api.signatureapi.com/v1/recipients/re_00ZeZjRaXCgT30n1eBx53N/events?cursor=seq_0iuY6H...",
    "previous": "https://api.signatureapi.com/v1/recipients/re_00ZeZjRaXCgT30n1eBx53N/events?cursor=seq_87unYn..."
  },
  "data": [
    {
      "id": "evt_45b62ui33fCihBWpW2kWDa",
      "type": "recipient.completed",
      "timestamp": "2025-12-31T23:58:00.000Z",
      "data": {
        "object_id": "re_00ZeZjRaXCgT30n1eBx53N",
        "object_type": "recipient",
        "envelope_id": "2dc5d4bb-5f4e-41a8-aea8-077a48587e31",
        "envelope_metadata": {},
        "recipient_type": "signer",
        "recipient_key": "client",
        "session_id": "ses_2X6eHBCL84MDGrLQX0mHI72"
      }
    },
    {
      "id": "evt_7BFIYuMgWzJ1AHscS0RNxC",
      "type": "recipient.sent",
      "timestamp": "2025-12-31T23:50:00.000Z",
      "data": {
        "object_id": "re_00ZeZjRaXCgT30n1eBx53N",
        "object_type": "recipient",
        "envelope_id": "2dc5d4bb-5f4e-41a8-aea8-077a48587e31",
        "envelope_metadata": {},
        "recipient_type": "signer",
        "recipient_key": "client"
      }
    },
    //...
  ]
}
Returns a list of events for a specific recipient. Events are sorted by timestamp, with the most recent appearing first. Results include only recipient events, such as delivery, signing, and bounce events.

Path parameters

recipient_id
string
required
The unique identifier of the recipient.

Query parameters

type
enum
Filter by event type. For example, recipient.completed or recipient.sent.For the full list of event types available when listing recipient events, see Recipient Events.
limit
integer
The maximum number of objects to return. Minimum is 1, maximum is 20. Defaults to 20.

Returns

Returns a 200 OK status with a paginated list of event objects on success, or an error otherwise.
// GET https://api.signatureapi.com/v1/recipients/re_00ZeZjRaXCgT30n1eBx53N/events
// X-API-Key: key_test_...
// HTTP Status Code 200

{
  "links": {
    "next": "https://api.signatureapi.com/v1/recipients/re_00ZeZjRaXCgT30n1eBx53N/events?cursor=seq_0iuY6H...",
    "previous": "https://api.signatureapi.com/v1/recipients/re_00ZeZjRaXCgT30n1eBx53N/events?cursor=seq_87unYn..."
  },
  "data": [
    {
      "id": "evt_45b62ui33fCihBWpW2kWDa",
      "type": "recipient.completed",
      "timestamp": "2025-12-31T23:58:00.000Z",
      "data": {
        "object_id": "re_00ZeZjRaXCgT30n1eBx53N",
        "object_type": "recipient",
        "envelope_id": "2dc5d4bb-5f4e-41a8-aea8-077a48587e31",
        "envelope_metadata": {},
        "recipient_type": "signer",
        "recipient_key": "client",
        "session_id": "ses_2X6eHBCL84MDGrLQX0mHI72"
      }
    },
    {
      "id": "evt_7BFIYuMgWzJ1AHscS0RNxC",
      "type": "recipient.sent",
      "timestamp": "2025-12-31T23:50:00.000Z",
      "data": {
        "object_id": "re_00ZeZjRaXCgT30n1eBx53N",
        "object_type": "recipient",
        "envelope_id": "2dc5d4bb-5f4e-41a8-aea8-077a48587e31",
        "envelope_metadata": {},
        "recipient_type": "signer",
        "recipient_key": "client"
      }
    },
    //...
  ]
}